<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_171) on Fri May 25 11:54:51 EDT 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Serialized Form (SelekTOR Java Documentation)</title>
<meta name="date" content="2018-05-25">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Serialized Form (SelekTOR Java Documentation)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
<ul class="blockList">
<li class="blockList">
<h2 title="Package">Package&nbsp;client</h2>
<ul class="blockList">
<li class="blockList"><a name="client.ExitNodeTableModel">
<!--   -->
</a>
<h3>Class <a href="client/ExitNodeTableModel.html" title="class in client">client.ExitNodeTableModel</a> extends javax.swing.table.DefaultTableModel implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>salFinger</h4>
<pre>java.util.List&lt;E&gt; salFinger</pre>
</li>
<li class="blockList">
<h4>columnNames</h4>
<pre>java.lang.String[] columnNames</pre>
</li>
<li class="blockListLast">
<h4>ni</h4>
<pre><a href="client/NodeItem.html" title="class in client">NodeItem</a> ni</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="client.GuardNodeDialog">
<!--   -->
</a>
<h3>Class <a href="client/GuardNodeDialog.html" title="class in client">client.GuardNodeDialog</a> extends javax.swing.JDialog implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>intRowSelected</h4>
<pre>int intRowSelected</pre>
</li>
<li class="blockList">
<h4>returnStatus</h4>
<pre>int returnStatus</pre>
</li>
<li class="blockList">
<h4>gntm</h4>
<pre><a href="client/GuardNodeTableModel.html" title="class in client">GuardNodeTableModel</a> gntm</pre>
</li>
<li class="blockList">
<h4>nl</h4>
<pre><a href="client/NodeList.html" title="class in client">NodeList</a> nl</pre>
</li>
<li class="blockList">
<h4>jButtonApply</h4>
<pre>javax.swing.JButton jButtonApply</pre>
</li>
<li class="blockList">
<h4>jButtonClear</h4>
<pre>javax.swing.JButton jButtonClear</pre>
</li>
<li class="blockList">
<h4>jButtonClose</h4>
<pre>javax.swing.JButton jButtonClose</pre>
</li>
<li class="blockList">
<h4>jMenuNodeDetails</h4>
<pre>javax.swing.JMenuItem jMenuNodeDetails</pre>
</li>
<li class="blockList">
<h4>jMenuWhois</h4>
<pre>javax.swing.JMenuItem jMenuWhois</pre>
</li>
<li class="blockList">
<h4>jScrollPane1</h4>
<pre>javax.swing.JScrollPane jScrollPane1</pre>
</li>
<li class="blockList">
<h4>jTableGuards</h4>
<pre>javax.swing.JTable jTableGuards</pre>
</li>
<li class="blockList">
<h4>jTextArea1</h4>
<pre>javax.swing.JTextArea jTextArea1</pre>
</li>
<li class="blockListLast">
<h4>popupTable</h4>
<pre>javax.swing.JPopupMenu popupTable</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="client.GuardNodeTableModel">
<!--   -->
</a>
<h3>Class <a href="client/GuardNodeTableModel.html" title="class in client">client.GuardNodeTableModel</a> extends javax.swing.table.DefaultTableModel implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>salFinger</h4>
<pre>java.util.List&lt;E&gt; salFinger</pre>
</li>
<li class="blockList">
<h4>columnNames</h4>
<pre>java.lang.String[] columnNames</pre>
</li>
<li class="blockList">
<h4>ni</h4>
<pre><a href="client/NodeItem.html" title="class in client">NodeItem</a> ni</pre>
</li>
<li class="blockListLast">
<h4>enabledcount</h4>
<pre>int enabledcount</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="client.PatternsEditor">
<!--   -->
</a>
<h3>Class <a href="client/PatternsEditor.html" title="class in client">client.PatternsEditor</a> extends javax.swing.JDialog implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>pactm</h4>
<pre><a href="client/PatternsEditor.PACTableModel.html" title="class in client">PatternsEditor.PACTableModel</a> pactm</pre>
</li>
<li class="blockList">
<h4>pacFactory</h4>
<pre><a href="client/PacFactory.html" title="class in client">PacFactory</a> pacFactory</pre>
</li>
<li class="blockList">
<h4>strChange</h4>
<pre>java.lang.String strChange</pre>
</li>
<li class="blockList">
<h4>parent</h4>
<pre>java.awt.Frame parent</pre>
</li>
<li class="blockList">
<h4>strSelectedCountry</h4>
<pre>java.lang.String strSelectedCountry</pre>
</li>
<li class="blockList">
<h4>jButtonAddPattern</h4>
<pre>javax.swing.JButton jButtonAddPattern</pre>
</li>
<li class="blockList">
<h4>jButtonCancel</h4>
<pre>javax.swing.JButton jButtonCancel</pre>
</li>
<li class="blockList">
<h4>jButtonDeletePattern</h4>
<pre>javax.swing.JButton jButtonDeletePattern</pre>
</li>
<li class="blockList">
<h4>jButtonSave</h4>
<pre>javax.swing.JButton jButtonSave</pre>
</li>
<li class="blockList">
<h4>jComboCountry</h4>
<pre>javax.swing.JComboBox&lt;E&gt; jComboCountry</pre>
</li>
<li class="blockList">
<h4>jLabel1</h4>
<pre>javax.swing.JLabel jLabel1</pre>
</li>
<li class="blockList">
<h4>jLabel17</h4>
<pre>javax.swing.JLabel jLabel17</pre>
</li>
<li class="blockList">
<h4>jScrollPane1</h4>
<pre>javax.swing.JScrollPane jScrollPane1</pre>
</li>
<li class="blockList">
<h4>jTablePatterns</h4>
<pre>javax.swing.JTable jTablePatterns</pre>
</li>
<li class="blockList">
<h4>jTextDoNotProxy</h4>
<pre>javax.swing.JTextField jTextDoNotProxy</pre>
</li>
<li class="blockListLast">
<h4>returnStatus</h4>
<pre>int returnStatus</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="client.PatternsEditor.CustomTableCellRenderer">
<!--   -->
</a>
<h3>Class <a href="client/PatternsEditor.CustomTableCellRenderer.html" title="class in client">client.PatternsEditor.CustomTableCellRenderer</a> extends javax.swing.table.DefaultTableCellRenderer implements Serializable</h3>
</li>
<li class="blockList"><a name="client.PatternsEditor.PACTableModel">
<!--   -->
</a>
<h3>Class <a href="client/PatternsEditor.PACTableModel.html" title="class in client">client.PatternsEditor.PACTableModel</a> extends javax.swing.table.DefaultTableModel implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>columnNames</h4>
<pre>java.lang.String[] columnNames</pre>
</li>
<li class="blockList">
<h4>types</h4>
<pre>java.lang.Class&lt;T&gt;[] types</pre>
</li>
<li class="blockListLast">
<h4>rowedit</h4>
<pre>java.util.ArrayList&lt;E&gt; rowedit</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="client.PrefsDialog">
<!--   -->
</a>
<h3>Class <a href="client/PrefsDialog.html" title="class in client">client.PrefsDialog</a> extends javax.swing.JDialog implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>sp</h4>
<pre><a href="lib/SimpleProps.html" title="class in lib">SimpleProps</a> sp</pre>
</li>
<li class="blockList">
<h4>disabledprefs</h4>
<pre>java.lang.String disabledprefs</pre>
</li>
<li class="blockList">
<h4>jButtonApply</h4>
<pre>javax.swing.JButton jButtonApply</pre>
</li>
<li class="blockList">
<h4>jButtonCancel</h4>
<pre>javax.swing.JButton jButtonCancel</pre>
</li>
<li class="blockList">
<h4>jButtonDefaults</h4>
<pre>javax.swing.JButton jButtonDefaults</pre>
</li>
<li class="blockList">
<h4>jButtonGetBridges</h4>
<pre>javax.swing.JButton jButtonGetBridges</pre>
</li>
<li class="blockList">
<h4>jCheckAppUpdate</h4>
<pre>javax.swing.JCheckBox jCheckAppUpdate</pre>
</li>
<li class="blockList">
<h4>jCheckAutostart</h4>
<pre>javax.swing.JCheckBox jCheckAutostart</pre>
</li>
<li class="blockList">
<h4>jCheckAvoidDisk</h4>
<pre>javax.swing.JCheckBox jCheckAvoidDisk</pre>
</li>
<li class="blockList">
<h4>jCheckCacheDelete</h4>
<pre>javax.swing.JCheckBox jCheckCacheDelete</pre>
</li>
<li class="blockList">
<h4>jCheckDisableNotify</h4>
<pre>javax.swing.JCheckBox jCheckDisableNotify</pre>
</li>
<li class="blockList">
<h4>jCheckDisableTray</h4>
<pre>javax.swing.JCheckBox jCheckDisableTray</pre>
</li>
<li class="blockList">
<h4>jCheckGeoUpdate</h4>
<pre>javax.swing.JCheckBox jCheckGeoUpdate</pre>
</li>
<li class="blockList">
<h4>jCheckHideMin</h4>
<pre>javax.swing.JCheckBox jCheckHideMin</pre>
</li>
<li class="blockList">
<h4>jCheckHideTray</h4>
<pre>javax.swing.JCheckBox jCheckHideTray</pre>
</li>
<li class="blockList">
<h4>jCheckMinOnClose</h4>
<pre>javax.swing.JCheckBox jCheckMinOnClose</pre>
</li>
<li class="blockList">
<h4>jCheckSafeLog</h4>
<pre>javax.swing.JCheckBox jCheckSafeLog</pre>
</li>
<li class="blockList">
<h4>jCheckSafeSocks</h4>
<pre>javax.swing.JCheckBox jCheckSafeSocks</pre>
</li>
<li class="blockList">
<h4>jCheckTestSocks</h4>
<pre>javax.swing.JCheckBox jCheckTestSocks</pre>
</li>
<li class="blockList">
<h4>jComboLogLev</h4>
<pre>javax.swing.JComboBox&lt;E&gt; jComboLogLev</pre>
</li>
<li class="blockList">
<h4>jLabel11</h4>
<pre>javax.swing.JLabel jLabel11</pre>
</li>
<li class="blockList">
<h4>jLabel12</h4>
<pre>javax.swing.JLabel jLabel12</pre>
</li>
<li class="blockList">
<h4>jLabel13</h4>
<pre>javax.swing.JLabel jLabel13</pre>
</li>
<li class="blockList">
<h4>jLabel14</h4>
<pre>javax.swing.JLabel jLabel14</pre>
</li>
<li class="blockList">
<h4>jLabel15</h4>
<pre>javax.swing.JLabel jLabel15</pre>
</li>
<li class="blockList">
<h4>jLabel16</h4>
<pre>javax.swing.JLabel jLabel16</pre>
</li>
<li class="blockList">
<h4>jLabel6</h4>
<pre>javax.swing.JLabel jLabel6</pre>
</li>
<li class="blockList">
<h4>jLabelPortRanges</h4>
<pre>javax.swing.JLabel jLabelPortRanges</pre>
</li>
<li class="blockList">
<h4>jPanel1</h4>
<pre>javax.swing.JPanel jPanel1</pre>
</li>
<li class="blockList">
<h4>jPanelAdvancedPrefs</h4>
<pre>javax.swing.JPanel jPanelAdvancedPrefs</pre>
</li>
<li class="blockList">
<h4>jPanelBasicPrefs</h4>
<pre>javax.swing.JPanel jPanelBasicPrefs</pre>
</li>
<li class="blockList">
<h4>jPanelGeneralPrefs</h4>
<pre>javax.swing.JPanel jPanelGeneralPrefs</pre>
</li>
<li class="blockList">
<h4>jPanelTorPrefs</h4>
<pre>javax.swing.JPanel jPanelTorPrefs</pre>
</li>
<li class="blockList">
<h4>jSpinnerMainPort</h4>
<pre>javax.swing.JSpinner jSpinnerMainPort</pre>
</li>
<li class="blockList">
<h4>jTabPrefs</h4>
<pre>javax.swing.JTabbedPane jTabPrefs</pre>
</li>
<li class="blockList">
<h4>jTextHTTPProxy</h4>
<pre>javax.swing.JTextField jTextHTTPProxy</pre>
</li>
<li class="blockList">
<h4>jTextTorArgs</h4>
<pre>javax.swing.JTextField jTextTorArgs</pre>
</li>
<li class="blockList">
<h4>jTextTorBridge</h4>
<pre>javax.swing.JTextField jTextTorBridge</pre>
</li>
<li class="blockListLast">
<h4>returnStatus</h4>
<pre>int returnStatus</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="client.QuickAddDialog">
<!--   -->
</a>
<h3>Class <a href="client/QuickAddDialog.html" title="class in client">client.QuickAddDialog</a> extends javax.swing.JDialog implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>jButtonApply</h4>
<pre>javax.swing.JButton jButtonApply</pre>
</li>
<li class="blockList">
<h4>jButtonCancel</h4>
<pre>javax.swing.JButton jButtonCancel</pre>
</li>
<li class="blockList">
<h4>jLabel1</h4>
<pre>javax.swing.JLabel jLabel1</pre>
</li>
<li class="blockList">
<h4>jLabel2</h4>
<pre>javax.swing.JLabel jLabel2</pre>
</li>
<li class="blockList">
<h4>jPanelPreferences</h4>
<pre>javax.swing.JPanel jPanelPreferences</pre>
</li>
<li class="blockList">
<h4>jTextDescription</h4>
<pre>javax.swing.JTextField jTextDescription</pre>
</li>
<li class="blockList">
<h4>jTextPattern</h4>
<pre>javax.swing.JTextField jTextPattern</pre>
</li>
<li class="blockListLast">
<h4>returnStatus</h4>
<pre>int returnStatus</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="client.SelekTOR">
<!--   -->
</a>
<h3>Class <a href="client/SelekTOR.html" title="class in client">client.SelekTOR</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>clientLocation</h4>
<pre>java.lang.String clientLocation</pre>
</li>
<li class="blockList">
<h4>settingsPath</h4>
<pre>java.lang.String settingsPath</pre>
</li>
<li class="blockList">
<h4>cachePath</h4>
<pre>java.lang.String cachePath</pre>
</li>
<li class="blockList">
<h4>defaultGeoipPath</h4>
<pre>java.lang.String defaultGeoipPath</pre>
</li>
<li class="blockList">
<h4>geoipPath</h4>
<pre>java.lang.String geoipPath</pre>
</li>
<li class="blockList">
<h4>geoip6Path</h4>
<pre>java.lang.String geoip6Path</pre>
</li>
<li class="blockList">
<h4>iconPath</h4>
<pre>java.lang.String iconPath</pre>
</li>
<li class="blockList">
<h4>tcMain</h4>
<pre><a href="client/TorController.html" title="class in client">TorController</a> tcMain</pre>
</li>
<li class="blockList">
<h4>nodeList</h4>
<pre><a href="client/NodeList.html" title="class in client">NodeList</a> nodeList</pre>
</li>
<li class="blockList">
<h4>pacFactory</h4>
<pre><a href="client/PacFactory.html" title="class in client">PacFactory</a> pacFactory</pre>
</li>
<li class="blockList">
<h4>strExitISOCode</h4>
<pre>java.lang.String strExitISOCode</pre>
</li>
<li class="blockList">
<h4>strRequestedExit</h4>
<pre>java.lang.String strRequestedExit</pre>
</li>
<li class="blockList">
<h4>niActiveGuard</h4>
<pre><a href="client/NodeItem.html" title="class in client">NodeItem</a> niActiveGuard</pre>
</li>
<li class="blockList">
<h4>niActiveMiddle</h4>
<pre><a href="client/NodeItem.html" title="class in client">NodeItem</a> niActiveMiddle</pre>
</li>
<li class="blockList">
<h4>niActiveExit</h4>
<pre><a href="client/NodeItem.html" title="class in client">NodeItem</a> niActiveExit</pre>
</li>
<li class="blockList">
<h4>intRowSelected</h4>
<pre>int intRowSelected</pre>
</li>
<li class="blockList">
<h4>entm</h4>
<pre><a href="client/ExitNodeTableModel.html" title="class in client">ExitNodeTableModel</a> entm</pre>
</li>
<li class="blockList">
<h4>sp</h4>
<pre><a href="lib/SimpleProps.html" title="class in lib">SimpleProps</a> sp</pre>
</li>
<li class="blockList">
<h4>alTestThreads</h4>
<pre>java.util.ArrayList&lt;E&gt; alTestThreads</pre>
</li>
<li class="blockList">
<h4>intActiveNodeTests</h4>
<pre>int intActiveNodeTests</pre>
</li>
<li class="blockList">
<h4>intBestNodeIndex</h4>
<pre>int intBestNodeIndex</pre>
</li>
<li class="blockList">
<h4>strArrBestNodes</h4>
<pre>java.lang.String[] strArrBestNodes</pre>
</li>
<li class="blockList">
<h4>lngThreshold</h4>
<pre>long lngThreshold</pre>
</li>
<li class="blockList">
<h4>intThresholdExceeded</h4>
<pre>int intThresholdExceeded</pre>
</li>
<li class="blockList">
<h4>nf</h4>
<pre><a href="lib/NetFunctions.html" title="class in lib">NetFunctions</a> nf</pre>
</li>
<li class="blockList">
<h4>boolNetEnabled</h4>
<pre>boolean boolNetEnabled</pre>
</li>
<li class="blockList">
<h4>strSecret</h4>
<pre>java.lang.String strSecret</pre>
</li>
<li class="blockList">
<h4>strHash</h4>
<pre>java.lang.String strHash</pre>
</li>
<li class="blockList">
<h4>alTestQueue</h4>
<pre>java.util.ArrayList&lt;E&gt; alTestQueue</pre>
</li>
<li class="blockList">
<h4>tmr</h4>
<pre>javax.swing.Timer tmr</pre>
</li>
<li class="blockList">
<h4>intBeginTesting</h4>
<pre>int intBeginTesting</pre>
</li>
<li class="blockList">
<h4>intLatencyCheck</h4>
<pre>int intLatencyCheck</pre>
</li>
<li class="blockList">
<h4>intAutoSelectCheck</h4>
<pre>int intAutoSelectCheck</pre>
</li>
<li class="blockList">
<h4>lngHibernateTimeStamp</h4>
<pre>long lngHibernateTimeStamp</pre>
</li>
<li class="blockList">
<h4>boolFirstRun</h4>
<pre>boolean boolFirstRun</pre>
</li>
<li class="blockList">
<h4>alArgs</h4>
<pre>java.util.ArrayList&lt;E&gt; alArgs</pre>
</li>
<li class="blockList">
<h4>tmf</h4>
<pre><a href="client/TorMonFrame.html" title="class in client">TorMonFrame</a> tmf</pre>
</li>
<li class="blockList">
<h4>startupDelay</h4>
<pre>long startupDelay</pre>
</li>
<li class="blockList">
<h4>dn</h4>
<pre><a href="lib/DesktopNotify.html" title="class in lib">DesktopNotify</a> dn</pre>
</li>
<li class="blockList">
<h4>sti</h4>
<pre><a href="lib/SwingTrayIcon.html" title="class in lib">SwingTrayIcon</a> sti</pre>
</li>
<li class="blockList">
<h4>desktopname</h4>
<pre>java.lang.String desktopname</pre>
</li>
<li class="blockList">
<h4>compositor</h4>
<pre>java.lang.String compositor</pre>
</li>
<li class="blockList">
<h4>updateCheckDisabled</h4>
<pre>boolean updateCheckDisabled</pre>
</li>
<li class="blockList">
<h4>buttonGroupProxy</h4>
<pre>javax.swing.ButtonGroup buttonGroupProxy</pre>
</li>
<li class="blockList">
<h4>buttonGroupProxyTray</h4>
<pre>javax.swing.ButtonGroup buttonGroupProxyTray</pre>
</li>
<li class="blockList">
<h4>jButtonClearFavs</h4>
<pre>javax.swing.JButton jButtonClearFavs</pre>
</li>
<li class="blockList">
<h4>jButtonExitNodeDetails</h4>
<pre>javax.swing.JButton jButtonExitNodeDetails</pre>
</li>
<li class="blockList">
<h4>jButtonGuardNodeDetails</h4>
<pre>javax.swing.JButton jButtonGuardNodeDetails</pre>
</li>
<li class="blockList">
<h4>jButtonMiddleNodeDetails</h4>
<pre>javax.swing.JButton jButtonMiddleNodeDetails</pre>
</li>
<li class="blockList">
<h4>jButtonSetGuards</h4>
<pre>javax.swing.JButton jButtonSetGuards</pre>
</li>
<li class="blockList">
<h4>jCheckProxyAll</h4>
<pre>javax.swing.JCheckBoxMenuItem jCheckProxyAll</pre>
</li>
<li class="blockList">
<h4>jCheckProxyByPattern</h4>
<pre>javax.swing.JCheckBoxMenuItem jCheckProxyByPattern</pre>
</li>
<li class="blockList">
<h4>jCheckProxyDisable</h4>
<pre>javax.swing.JCheckBoxMenuItem jCheckProxyDisable</pre>
</li>
<li class="blockList">
<h4>jCheckTrayProxyAll</h4>
<pre>javax.swing.JCheckBoxMenuItem jCheckTrayProxyAll</pre>
</li>
<li class="blockList">
<h4>jCheckTrayProxyByPattern</h4>
<pre>javax.swing.JCheckBoxMenuItem jCheckTrayProxyByPattern</pre>
</li>
<li class="blockList">
<h4>jCheckTrayProxyDisable</h4>
<pre>javax.swing.JCheckBoxMenuItem jCheckTrayProxyDisable</pre>
</li>
<li class="blockList">
<h4>jComboCountry</h4>
<pre>javax.swing.JComboBox&lt;E&gt; jComboCountry</pre>
</li>
<li class="blockList">
<h4>jLabStatus</h4>
<pre>javax.swing.JLabel jLabStatus</pre>
</li>
<li class="blockList">
<h4>jLabel10</h4>
<pre>javax.swing.JLabel jLabel10</pre>
</li>
<li class="blockList">
<h4>jLabel12</h4>
<pre>javax.swing.JLabel jLabel12</pre>
</li>
<li class="blockList">
<h4>jLabel4</h4>
<pre>javax.swing.JLabel jLabel4</pre>
</li>
<li class="blockList">
<h4>jLabel5</h4>
<pre>javax.swing.JLabel jLabel5</pre>
</li>
<li class="blockList">
<h4>jLabel6</h4>
<pre>javax.swing.JLabel jLabel6</pre>
</li>
<li class="blockList">
<h4>jLabel8</h4>
<pre>javax.swing.JLabel jLabel8</pre>
</li>
<li class="blockList">
<h4>jLabel9</h4>
<pre>javax.swing.JLabel jLabel9</pre>
</li>
<li class="blockList">
<h4>jLabelCountry</h4>
<pre>javax.swing.JLabel jLabelCountry</pre>
</li>
<li class="blockList">
<h4>jLabelExit</h4>
<pre>javax.swing.JLabel jLabelExit</pre>
</li>
<li class="blockList">
<h4>jLabelExitBw</h4>
<pre>javax.swing.JLabel jLabelExitBw</pre>
</li>
<li class="blockList">
<h4>jLabelExitCountry</h4>
<pre>javax.swing.JLabel jLabelExitCountry</pre>
</li>
<li class="blockList">
<h4>jLabelExitIP</h4>
<pre>javax.swing.JLabel jLabelExitIP</pre>
</li>
<li class="blockList">
<h4>jLabelExitNick</h4>
<pre>javax.swing.JLabel jLabelExitNick</pre>
</li>
<li class="blockList">
<h4>jLabelExitStable</h4>
<pre>javax.swing.JLabel jLabelExitStable</pre>
</li>
<li class="blockList">
<h4>jLabelGuard</h4>
<pre>javax.swing.JLabel jLabelGuard</pre>
</li>
<li class="blockList">
<h4>jLabelGuardBw</h4>
<pre>javax.swing.JLabel jLabelGuardBw</pre>
</li>
<li class="blockList">
<h4>jLabelGuardCountry</h4>
<pre>javax.swing.JLabel jLabelGuardCountry</pre>
</li>
<li class="blockList">
<h4>jLabelGuardIP</h4>
<pre>javax.swing.JLabel jLabelGuardIP</pre>
</li>
<li class="blockList">
<h4>jLabelGuardNick</h4>
<pre>javax.swing.JLabel jLabelGuardNick</pre>
</li>
<li class="blockList">
<h4>jLabelGuardStable</h4>
<pre>javax.swing.JLabel jLabelGuardStable</pre>
</li>
<li class="blockList">
<h4>jLabelMiddle</h4>
<pre>javax.swing.JLabel jLabelMiddle</pre>
</li>
<li class="blockList">
<h4>jLabelMiddleBw</h4>
<pre>javax.swing.JLabel jLabelMiddleBw</pre>
</li>
<li class="blockList">
<h4>jLabelMiddleCountry</h4>
<pre>javax.swing.JLabel jLabelMiddleCountry</pre>
</li>
<li class="blockList">
<h4>jLabelMiddleIP</h4>
<pre>javax.swing.JLabel jLabelMiddleIP</pre>
</li>
<li class="blockList">
<h4>jLabelMiddleNick</h4>
<pre>javax.swing.JLabel jLabelMiddleNick</pre>
</li>
<li class="blockList">
<h4>jLabelMiddleStable</h4>
<pre>javax.swing.JLabel jLabelMiddleStable</pre>
</li>
<li class="blockList">
<h4>jLabelStreams</h4>
<pre>javax.swing.JLabel jLabelStreams</pre>
</li>
<li class="blockList">
<h4>jLabelTorLatency</h4>
<pre>javax.swing.JLabel jLabelTorLatency</pre>
</li>
<li class="blockList">
<h4>jMenuBar</h4>
<pre>javax.swing.JMenuBar jMenuBar</pre>
</li>
<li class="blockList">
<h4>jMenuHelp</h4>
<pre>javax.swing.JMenu jMenuHelp</pre>
</li>
<li class="blockList">
<h4>jMenuItemAbout</h4>
<pre>javax.swing.JMenuItem jMenuItemAbout</pre>
</li>
<li class="blockList">
<h4>jMenuItemAddPattern</h4>
<pre>javax.swing.JMenuItem jMenuItemAddPattern</pre>
</li>
<li class="blockList">
<h4>jMenuItemDebugLog</h4>
<pre>javax.swing.JMenuItem jMenuItemDebugLog</pre>
</li>
<li class="blockList">
<h4>jMenuItemExport</h4>
<pre>javax.swing.JMenuItem jMenuItemExport</pre>
</li>
<li class="blockList">
<h4>jMenuItemGUI</h4>
<pre>javax.swing.JMenuItem jMenuItemGUI</pre>
</li>
<li class="blockList">
<h4>jMenuItemGeoip</h4>
<pre>javax.swing.JMenuItem jMenuItemGeoip</pre>
</li>
<li class="blockList">
<h4>jMenuItemHelp</h4>
<pre>javax.swing.JMenuItem jMenuItemHelp</pre>
</li>
<li class="blockList">
<h4>jMenuItemImport</h4>
<pre>javax.swing.JMenuItem jMenuItemImport</pre>
</li>
<li class="blockList">
<h4>jMenuItemLicense</h4>
<pre>javax.swing.JMenuItem jMenuItemLicense</pre>
</li>
<li class="blockList">
<h4>jMenuItemPatternEdit</h4>
<pre>javax.swing.JMenuItem jMenuItemPatternEdit</pre>
</li>
<li class="blockList">
<h4>jMenuItemPrefs</h4>
<pre>javax.swing.JMenuItem jMenuItemPrefs</pre>
</li>
<li class="blockList">
<h4>jMenuItemQuit</h4>
<pre>javax.swing.JMenuItem jMenuItemQuit</pre>
</li>
<li class="blockList">
<h4>jMenuItemQuitx</h4>
<pre>javax.swing.JMenuItem jMenuItemQuitx</pre>
</li>
<li class="blockList">
<h4>jMenuItemStdout</h4>
<pre>javax.swing.JMenuItem jMenuItemStdout</pre>
</li>
<li class="blockList">
<h4>jMenuItemTorCheck</h4>
<pre>javax.swing.JMenuItem jMenuItemTorCheck</pre>
</li>
<li class="blockList">
<h4>jMenuItemTorMan</h4>
<pre>javax.swing.JMenuItem jMenuItemTorMan</pre>
</li>
<li class="blockList">
<h4>jMenuMenu</h4>
<pre>javax.swing.JMenu jMenuMenu</pre>
</li>
<li class="blockList">
<h4>jMenuNodeDetails</h4>
<pre>javax.swing.JMenuItem jMenuNodeDetails</pre>
</li>
<li class="blockList">
<h4>jMenuProxy</h4>
<pre>javax.swing.JMenu jMenuProxy</pre>
</li>
<li class="blockList">
<h4>jMenuTesting</h4>
<pre>javax.swing.JMenuItem jMenuTesting</pre>
</li>
<li class="blockList">
<h4>jMenuWhois</h4>
<pre>javax.swing.JMenuItem jMenuWhois</pre>
</li>
<li class="blockList">
<h4>jPanelMain</h4>
<pre>javax.swing.JPanel jPanelMain</pre>
</li>
<li class="blockList">
<h4>jPanelNodeInfo</h4>
<pre>javax.swing.JPanel jPanelNodeInfo</pre>
</li>
<li class="blockList">
<h4>jScrollPaneExitNodes</h4>
<pre>javax.swing.JScrollPane jScrollPaneExitNodes</pre>
</li>
<li class="blockList">
<h4>jTableExitNodes</h4>
<pre>javax.swing.JTable jTableExitNodes</pre>
</li>
<li class="blockListLast">
<h4>popupTable</h4>
<pre>javax.swing.JPopupMenu popupTable</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="client.TorMonFrame">
<!--   -->
</a>
<h3>Class <a href="client/TorMonFrame.html" title="class in client">client.TorMonFrame</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>jButtonClose</h4>
<pre>javax.swing.JButton jButtonClose</pre>
</li>
<li class="blockList">
<h4>jPanel1</h4>
<pre>javax.swing.JPanel jPanel1</pre>
</li>
<li class="blockList">
<h4>jPanel2</h4>
<pre>javax.swing.JPanel jPanel2</pre>
</li>
<li class="blockList">
<h4>jPanelMain</h4>
<pre>javax.swing.JPanel jPanelMain</pre>
</li>
<li class="blockList">
<h4>jScrollPane1</h4>
<pre>javax.swing.JScrollPane jScrollPane1</pre>
</li>
<li class="blockList">
<h4>jScrollPaneStdOut</h4>
<pre>javax.swing.JScrollPane jScrollPaneStdOut</pre>
</li>
<li class="blockList">
<h4>jTextAreaLaunch</h4>
<pre>javax.swing.JTextArea jTextAreaLaunch</pre>
</li>
<li class="blockListLast">
<h4>jTextAreaStdOut</h4>
<pre>javax.swing.JTextArea jTextAreaStdOut</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;lib</h2>
<ul class="blockList">
<li class="blockList"><a name="lib.AboutDialog">
<!--   -->
</a>
<h3>Class <a href="lib/AboutDialog.html" title="class in lib">lib.AboutDialog</a> extends javax.swing.JDialog implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>strHome</h4>
<pre>java.lang.String strHome</pre>
</li>
<li class="blockList">
<h4>strContact</h4>
<pre>java.lang.String strContact</pre>
</li>
<li class="blockList">
<h4>jButtonClose</h4>
<pre>javax.swing.JButton jButtonClose</pre>
</li>
<li class="blockList">
<h4>jButtonContact</h4>
<pre>javax.swing.JButton jButtonContact</pre>
</li>
<li class="blockList">
<h4>jButtonVisit</h4>
<pre>javax.swing.JButton jButtonVisit</pre>
</li>
<li class="blockList">
<h4>jLabelAppLogo</h4>
<pre>javax.swing.JLabel jLabelAppLogo</pre>
</li>
<li class="blockList">
<h4>jPanel1</h4>
<pre>javax.swing.JPanel jPanel1</pre>
</li>
<li class="blockListLast">
<h4>jTextAreaVersion</h4>
<pre>javax.swing.JTextArea jTextAreaVersion</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="lib.InfoDialog">
<!--   -->
</a>
<h3>Class <a href="lib/InfoDialog.html" title="class in lib">lib.InfoDialog</a> extends javax.swing.JDialog implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>fg</h4>
<pre>java.awt.Color fg</pre>
</li>
<li class="blockList">
<h4>parent</h4>
<pre>java.awt.Frame parent</pre>
</li>
<li class="blockList">
<h4>strButtClose</h4>
<pre>java.lang.String strButtClose</pre>
</li>
<li class="blockList">
<h4>strTitle</h4>
<pre>java.lang.String strTitle</pre>
</li>
<li class="blockList">
<h4>fontDefault</h4>
<pre>java.awt.Font fontDefault</pre>
</li>
<li class="blockList">
<h4>tmrAutoClose</h4>
<pre>javax.swing.Timer tmrAutoClose</pre>
</li>
<li class="blockList">
<h4>tmrButtonLock</h4>
<pre>javax.swing.Timer tmrButtonLock</pre>
</li>
<li class="blockList">
<h4>jButtonCancel</h4>
<pre>javax.swing.JButton jButtonCancel</pre>
</li>
<li class="blockList">
<h4>jButtonContinue</h4>
<pre>javax.swing.JButton jButtonContinue</pre>
</li>
<li class="blockList">
<h4>jCheckBoxOption</h4>
<pre>javax.swing.JCheckBox jCheckBoxOption</pre>
</li>
<li class="blockList">
<h4>jPanelMain</h4>
<pre>javax.swing.JPanel jPanelMain</pre>
</li>
<li class="blockList">
<h4>jProgressBar</h4>
<pre>javax.swing.JProgressBar jProgressBar</pre>
</li>
<li class="blockList">
<h4>jScrollPane2</h4>
<pre>javax.swing.JScrollPane jScrollPane2</pre>
</li>
<li class="blockList">
<h4>jTextInfo</h4>
<pre>javax.swing.JTextArea jTextInfo</pre>
</li>
<li class="blockListLast">
<h4>returnStatus</h4>
<pre>int returnStatus</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="lib.TextResourceDialog">
<!--   -->
</a>
<h3>Class <a href="lib/TextResourceDialog.html" title="class in lib">lib.TextResourceDialog</a> extends javax.swing.JDialog implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>strUrl</h4>
<pre>java.lang.String strUrl</pre>
</li>
<li class="blockList">
<h4>jButtonClose</h4>
<pre>javax.swing.JButton jButtonClose</pre>
</li>
<li class="blockList">
<h4>jButtonLaunchURL</h4>
<pre>javax.swing.JButton jButtonLaunchURL</pre>
</li>
<li class="blockList">
<h4>jScrollPane1</h4>
<pre>javax.swing.JScrollPane jScrollPane1</pre>
</li>
<li class="blockListLast">
<h4>jTextArea</h4>
<pre>javax.swing.JTextArea jTextArea</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="lib.TrayPopupMenu">
<!--   -->
</a>
<h3>Class <a href="lib/TrayPopupMenu.html" title="class in lib">lib.TrayPopupMenu</a> extends javax.swing.JPopupMenu implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>bg</h4>
<pre>java.awt.Color bg</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
